
Core - Task # 54734

Epic # 55070 (Accepted): Workpackages
Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)
Story # 55078 (Closed): Optimize PHP code performance in TYPO3 methods

Status: Closed Priority: Must have
Author: Michiel Roos Category: Performance
Created: 2014-01-03 Assigned To:
Updated: 2015-01-07 Due date:
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity: easy
Sprint Focus:
Subject: Optimize ext_tables and ext_localconf cache files
Description

The cache_core files ext_tables_[ident].php and ext_localconf_[ident].php are read for each frontend and backend request. So it
makes sense to optimise them where possible.
The easy optimisations are:
    -  Reduce calls to defined // if (!defined('TYPO3_MODE')
    -  Resolve extPath once for each extension when generating cache files
    -  Resolve extRelPath once for each extension when generating cache files
    -  Resolve extPath once for each extension when generating cache files
    -  Replace $_EXTKEY with actual extensionKey string
    -  Only add the $_EXTCONF line if '$_EXTCONF' was found in the content
    -  Only add the loadNewTcaColumnsConfigFiles() line if the string 'TCA' was found in the content
Nice to have:
    -  Reduce calls to addToAllTCAtypes() and friends. This may be hard because unlike string replacements, these calls may reside
inside of if statements checking for versionCompat etc.

History
#1 - 2014-01-04 00:08 - Michiel Roos
- File Screen_Shot_2014-01-04_at_00.04.54.png added

Before:
ext_localconf lines: 1.588
ext_tables lines: 3.201
method calls: 22.682

After:
ext_localconf lines: 1463
ext_tables lines: 2.979
method calls: 21.764

#2 - 2014-01-04 00:17 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26634

#3 - 2014-01-04 07:56 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26634

#4 - 2014-01-04 23:28 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26634

#5 - 2014-01-05 21:06 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26634

#6 - 2014-01-07 08:52 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26634

#7 - 2014-01-07 17:13 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26634

#8 - 2014-01-28 10:20 - Ernesto Baschny
- Parent task set to #55078

#9 - 2014-02-02 11:12 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26634

#10 - 2014-02-05 10:46 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26634

#11 - 2015-01-07 10:19 - Wouter Wolters
- Status changed from Under Review to Closed

too risky.
